{{- define "cerebro" -}}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "cerebro") | nindent 2 }}
config:
  hosts:
  - host: http://elasticsearch-master-headless:9200
    name: Elasticsearch
env:
  CEREBRO_PORT: "9000"
{{- if .Values.exposeLoadBalancers }}
service:
  type: LoadBalancer
{{- end }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "cerebro") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "cerebro") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "cerebro") }}
{{- end -}}
